/// <reference types="react" />
/// <reference types="node" />
export declare const QueryBuilderViewRoot: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const QueryBuilderContentContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const QueryBuilderMain: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    isSidebarOpen: boolean;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLElement>, HTMLElement>, {}>;
export declare const BorderedViewTitleHeader: import("@emotion/styled").StyledComponent<import("prop-types").InferPropsInner<Pick<{
    question: import("prop-types").Validator<object>;
    originalQuestion: import("prop-types").Requireable<object>;
    queryBuilderMode: import("prop-types").Requireable<string>;
    setQueryBuilderMode: import("prop-types").Requireable<(...args: any[]) => any>;
    result: import("prop-types").Requireable<object>;
    isDirty: import("prop-types").Requireable<boolean>;
    isRunnable: import("prop-types").Requireable<boolean>;
    isRunning: import("prop-types").Requireable<boolean>;
    isResultDirty: import("prop-types").Requireable<boolean>;
    isNativeEditorOpen: import("prop-types").Requireable<boolean>;
    isNavBarOpen: import("prop-types").Requireable<boolean>;
    isShowingSummarySidebar: import("prop-types").Requireable<boolean>;
    isShowingQuestionDetailsSidebar: import("prop-types").Requireable<boolean>;
    isObjectDetail: import("prop-types").Requireable<boolean>;
    isAdditionalInfoVisible: import("prop-types").Requireable<boolean>;
    runQuestionQuery: import("prop-types").Requireable<(...args: any[]) => any>;
    cancelQuery: import("prop-types").Requireable<(...args: any[]) => any>;
    updateQuestion: import("prop-types").Requireable<(...args: any[]) => any>;
    onOpenModal: import("prop-types").Requireable<(...args: any[]) => any>;
    onEditSummary: import("prop-types").Requireable<(...args: any[]) => any>;
    onCloseSummary: import("prop-types").Requireable<(...args: any[]) => any>;
    onOpenQuestionDetails: import("prop-types").Requireable<(...args: any[]) => any>;
    isBookmarked: import("prop-types").Requireable<boolean>;
    isActionListVisible: import("prop-types").Requireable<boolean>;
    turnDatasetIntoQuestion: import("prop-types").Requireable<(...args: any[]) => any>;
    toggleBookmark: import("prop-types").Requireable<(...args: any[]) => any>;
    onOpenQuestionInfo: import("prop-types").Requireable<(...args: any[]) => any>;
    onCloseQuestionInfo: import("prop-types").Requireable<(...args: any[]) => any>;
    isShowingQuestionInfoSidebar: import("prop-types").Requireable<boolean>;
    onModelPersistenceChange: import("prop-types").Requireable<(...args: any[]) => any>;
    className: import("prop-types").Requireable<string>;
    style: import("prop-types").Requireable<object>;
}, "question">> & Partial<import("prop-types").InferPropsInner<Pick<{
    question: import("prop-types").Validator<object>;
    originalQuestion: import("prop-types").Requireable<object>;
    queryBuilderMode: import("prop-types").Requireable<string>;
    setQueryBuilderMode: import("prop-types").Requireable<(...args: any[]) => any>;
    result: import("prop-types").Requireable<object>;
    isDirty: import("prop-types").Requireable<boolean>;
    isRunnable: import("prop-types").Requireable<boolean>;
    isRunning: import("prop-types").Requireable<boolean>;
    isResultDirty: import("prop-types").Requireable<boolean>;
    isNativeEditorOpen: import("prop-types").Requireable<boolean>;
    isNavBarOpen: import("prop-types").Requireable<boolean>;
    isShowingSummarySidebar: import("prop-types").Requireable<boolean>;
    isShowingQuestionDetailsSidebar: import("prop-types").Requireable<boolean>;
    isObjectDetail: import("prop-types").Requireable<boolean>;
    isAdditionalInfoVisible: import("prop-types").Requireable<boolean>;
    runQuestionQuery: import("prop-types").Requireable<(...args: any[]) => any>;
    cancelQuery: import("prop-types").Requireable<(...args: any[]) => any>;
    updateQuestion: import("prop-types").Requireable<(...args: any[]) => any>;
    onOpenModal: import("prop-types").Requireable<(...args: any[]) => any>;
    onEditSummary: import("prop-types").Requireable<(...args: any[]) => any>;
    onCloseSummary: import("prop-types").Requireable<(...args: any[]) => any>;
    onOpenQuestionDetails: import("prop-types").Requireable<(...args: any[]) => any>;
    isBookmarked: import("prop-types").Requireable<boolean>;
    isActionListVisible: import("prop-types").Requireable<boolean>;
    turnDatasetIntoQuestion: import("prop-types").Requireable<(...args: any[]) => any>;
    toggleBookmark: import("prop-types").Requireable<(...args: any[]) => any>;
    onOpenQuestionInfo: import("prop-types").Requireable<(...args: any[]) => any>;
    onCloseQuestionInfo: import("prop-types").Requireable<(...args: any[]) => any>;
    isShowingQuestionInfoSidebar: import("prop-types").Requireable<boolean>;
    onModelPersistenceChange: import("prop-types").Requireable<(...args: any[]) => any>;
    className: import("prop-types").Requireable<string>;
    style: import("prop-types").Requireable<object>;
}, "style" | "className" | "result" | "originalQuestion" | "isDirty" | "updateQuestion" | "isShowingQuestionDetailsSidebar" | "isShowingSummarySidebar" | "queryBuilderMode" | "isRunning" | "isNativeEditorOpen" | "isShowingQuestionInfoSidebar" | "isObjectDetail" | "isResultDirty" | "isRunnable" | "runQuestionQuery" | "cancelQuery" | "isBookmarked" | "setQueryBuilderMode" | "onOpenModal" | "isNavBarOpen" | "turnDatasetIntoQuestion" | "onModelPersistenceChange" | "isActionListVisible" | "onEditSummary" | "onCloseSummary" | "isAdditionalInfoVisible" | "onOpenQuestionInfo" | "toggleBookmark" | "onCloseQuestionInfo" | "onOpenQuestionDetails">>> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const QueryBuilderViewHeaderContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const NativeQueryEditorContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const StyledDebouncedFrame: import("@emotion/styled").StyledComponent<{
    className?: string | undefined;
    style?: import("react").CSSProperties | undefined;
    onUpdateSize?: (() => void) | undefined;
} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {
    ref?: import("react").Ref<{
        state: {
            width: number | null;
            height: number | null;
        };
        timeoutId: NodeJS.Timeout | null;
        _currentElement: Element | null;
        _printMediaQuery: MediaQueryList;
        _refreshMode: "none" | "throttle" | "debounce" | "debounceLeading";
        _updateSize: () => void;
        _getElement(): Element | null;
        componentDidMount(): void;
        componentDidUpdate(): void;
        componentWillUnmount(): void;
        _getRefreshMode: () => "none" | "throttle" | "debounce" | "debounceLeading";
        _updateRefreshMode: () => void;
        _updateSizeAndRefreshMode: () => void;
        _initResizeObserver(): void;
        _updateResizeObserver(): void;
        _teardownResizeObserver(): void;
        _initMediaQueryListener(): void;
        _teardownQueryMediaListener(): void;
        __updateSize: () => void;
        render(): import("react/jsx-runtime").JSX.Element;
        context: unknown;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        shouldComponentUpdate?(nextProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, prevState: Readonly<{}>): any;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<{
            className?: string | undefined;
            style?: import("react").CSSProperties | undefined;
            onUpdateSize?: (() => void) | undefined;
        }>, nextState: Readonly<{}>, nextContext: any): void;
    }> | undefined;
}>;
export declare const StyledSyncedParametersList: import("@emotion/styled").StyledComponent<{
    parameters: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").Parameter[];
} & Partial<{
    className: string;
    question: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-lib/v1/Question").default;
    dashboard: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").Dashboard | null;
    editingParameter: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").Parameter | null | undefined;
    isEditing: boolean;
    vertical: boolean;
    commitImmediately: boolean;
    setParameterValue: (parameterId: string, value: any) => void;
    setParameterValueToDefault: (parameterId: string) => void;
    setParameterIndex: (parameterId: string, parameterIndex: number) => void;
    setEditingParameter: (parameterId: string | null) => void;
    enableParameterRequiredBehavior: boolean;
} & Pick<import("../../../dashboard/types").DashboardFullscreenControls, "isFullscreen"> & Pick<import("../../../dashboard/types").EmbedThemeControls, "isNightMode"> & Pick<import("../../../dashboard/types").EmbedHideParametersControls, "hideParameters">> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
